Bug 22935 - Improve style of Bootstrap pagination
Summary: Improve style of Bootstrap pagination
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 23094
  Show dependency treegraph
 
Reported: 2019-05-17 14:57 UTC by Owen Leonard
Modified: 2019-07-25 20:45 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Screenshot of search results pagination (16.29 KB, image/png)
2019-05-17 14:57 UTC, Owen Leonard
Details
Bug 22935: Improve style of Bootstrap pagination (4.42 KB, patch)
2019-05-17 15:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22935: Improve style of Bootstrap pagination (4.47 KB, patch)
2019-05-17 18:01 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 22935: Improve style of Bootstrap pagination (4.46 KB, patch)
2019-05-17 18:06 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 22935: Improve style of Bootstrap pagination (4.58 KB, patch)
2019-05-23 14:06 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-05-17 14:57:57 UTC
Created attachment 89906 [details]
Screenshot of search results pagination

I would like to tweak the style of Bootstrap pagination bars in the staff client: Bring the color more in line with the color scheme and change the padding. I'd also like to add Font Awesome icons.
Comment 1 Owen Leonard 2019-05-17 15:09:49 UTC Comment hidden (obsolete)
Comment 2 Maryse Simard 2019-05-17 18:01:39 UTC Comment hidden (obsolete)
Comment 3 Bin Wen 2019-05-17 18:06:28 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2019-05-23 14:06:38 UTC
Created attachment 90034 [details] [review]
Bug 22935: Improve style of Bootstrap pagination

This patch makes some updates to the staff client CSS and adds Font
Awesome icons to the Bootstrap pagination include.

To test, apply the patch and rebuild the staff client CSS.

Perform a search in the staff client which will return multiple pages of
results. Check that the pagination links look good.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 5 Martin Renvoize 2019-06-24 14:48:07 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-07-24 07:27:04 UTC
Pushed to 19.05.x for 19.05.03

Small and beautiful enhancement so I choose to backport to stable.
Comment 7 Lucas Gass 2019-07-25 20:45:16 UTC
This looks great, backporting to 18.11.x for 18.11.09